Herald
OpenapiOauth

Oidc_discovery

GET
/api/oauth/{realmId}/.well-known/openid-configuration

Path Parameters

realmId*string

Realm ID

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/oauth/string/.well-known/openid-configuration"
{  "authorization_endpoint": "string",  "claims_supported": [    "string"  ],  "code_challenge_methods_supported": [    "string"  ],  "grant_types_supported": [    "string"  ],  "id_token_signing_alg_values_supported": [    "string"  ],  "issuer": "string",  "jwks_uri": "string",  "response_types_supported": [    "string"  ],  "scopes_supported": [    "string"  ],  "subject_type": "string",  "token_endpoint": "string",  "token_endpoint_auth_methods_supported": [    "string"  ],  "userinfo_endpoint": "string"}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}